package com.yijia.customer.domain;

import java.util.Date;
import java.util.List;

import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.yijia.common.annotation.Excel;
import com.yijia.common.core.domain.BaseEntity;

/**
 * 客户优惠等级设置对象 customer_grade_setting
 *
 * @author yijia
 * @date 2021-01-26
 */
public class CustomerGradeSetting extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** 等级 */
    private String grade;
    /** 油品名称 */
    @Excel(name = "油品名称")
    private String oilName;

    /** 会员条件开始值 */
    @Excel(name = "会员条件开始值")
    private Long memberConditStart;

    /** 会员条件结束值 */
    @Excel(name = "会员条件结束值")
    private Long memberConditEnd;

    /** 汽油优惠/L */
    @Excel(name = "优惠金额 元/L")
    private String discountAmt;
    /** 油站id */
    @Excel(name = "油站id")
    private Long stationId;

    private String delFlag;

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    /**
     * 根据用户所属组织，平台，集团，油站查询条件
     */
    private List<String> stationIdList;

    public List<String> getStationIdList() {
        return stationIdList;
    }

    public void setStationIdList(List<String> stationIdList) {
        this.stationIdList = stationIdList;
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getGrade() {
        return grade;
    }

    public void setGrade(String grade) {
        this.grade = grade;
    }

    public String getOilName() {
        return oilName;
    }

    public void setOilName(String oilName) {
        this.oilName = oilName;
    }

    public Long getMemberConditStart() {
        return memberConditStart;
    }

    public void setMemberConditStart(Long memberConditStart) {
        this.memberConditStart = memberConditStart;
    }

    public Long getMemberConditEnd() {
        return memberConditEnd;
    }

    public void setMemberConditEnd(Long memberConditEnd) {
        this.memberConditEnd = memberConditEnd;
    }

    public String getDiscountAmt() {
        return discountAmt;
    }

    public void setDiscountAmt(String discountAmt) {
        this.discountAmt = discountAmt;
    }

    public Long getStationId() {
        return stationId;
    }

    public void setStationId(Long stationId) {
        this.stationId = stationId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("grade", getGrade())
            .append("oilName", getOilName())
            .append("stationId", getStationId()).append("discountAmt", getDiscountAmt())
            .append("memberConditStart", getMemberConditStart())
            .append("memberConditEnd", getMemberConditEnd())
            .append("delFlag", getDelFlag())
            .toString();
    }
}
